CREATE procedure [C6StagingPeriodicoImmobiliare].[RP_ST_AnAlberatura]  
as  
begin   
 -- Log esecuzione  
 INSERT INTO LOG_ESECUZIONE_PERIODICO_IMMOBILIARE  
  (Nome, Inizio, Nota)  
 VALUES (  
  'RP_ST_AnAlberatura',  
  GETDATE(),  
  'Elaborazione Trimestrale Immobiliare'  
 )  
 truncate table C6StagingPeriodicoImmobiliare.RP_AnAlberatura  
 insert into C6StagingPeriodicoImmobiliare.RP_AnAlberatura  
 --select * into C6StagingPeriodicoImmobiliare.RP_AnAlberatura from [CONSEVO].CatalogoProdotti.dbo.AnAlberatura  
 select   
 [Alberatura]  
      ,[Livello1]  
      ,[Livello2]  
      ,[Livello3]  
      ,[Livello4]  
      ,[Livello5]  
  from [CONSUNI_PERIODICO].CatalogoProdotti.dbo.AnAlberatura  
 -- Log esecuzione  
 UPDATE  
  LOG_ESECUZIONE_PERIODICO_IMMOBILIARE  
 SET  
  Fine = GETDATE(),  
  Tipo = 'INSERT',  
  Righe = @@ROWCOUNT  
 WHERE  
  Nome = 'RP_ST_AnAlberatura' AND  
  Inizio = (  
   SELECT  
    MAX(Inizio)  
   FROM  
    LOG_ESECUZIONE_PERIODICO_IMMOBILIARE  
   WHERE  
    Nome = 'RP_ST_AnAlberatura'  
  )  
end